diff --git a/Makefile b/Makefile
index f96d0197a4..0608f9ad08 100644
--- a/Makefile
+++ b/Makefile
@@ -92,7 +92,8 @@ BUILD_FLAGS = -march=$(arch) -Werror -Wconversion \
 LINKER_FLAGS = -march=$(arch)
 AR_FLAGS ?= rcs
 ALL_CFLAGS = -std=gnu11 -fexceptions \
-  -DPONY_VERSION=\"$(tag)\" -DPONY_COMPILER=\"$(CC)\" -DPONY_ARCH=\"$(arch)\" \
+  -DPONY_VERSION=\"$(tag)\" -DLLVM_VERSION=\"$(llvm_version)\" \
+  -DPONY_COMPILER=\"$(CC)\" -DPONY_ARCH=\"$(arch)\" \
   -DPONY_BUILD_CONFIG=\"$(config)\"
 ALL_CXXFLAGS = -std=gnu++11 -fno-rtti
 
@@ -203,6 +204,8 @@ ifndef LLVM_CONFIG
   $(error No LLVM installation found!)
 endif
 
+llvm_version = $(shell $(LLVM_CONFIG) --version)
+
 ifeq ($(runtime-bitcode),yes)
   ifeq (,$(shell $(CC) -v 2>&1 | grep clang))
     $(error Compiling the runtime as a bitcode file requires clang)
diff --git a/src/ponyc/main.c b/src/ponyc/main.c
index 712386663f..8980e8f93f 100644
--- a/src/ponyc/main.c
+++ b/src/ponyc/main.c
@@ -273,7 +273,8 @@ int main(int argc, char* argv[])
     switch(id)
     {
       case OPT_VERSION:
-        printf("%s [%s]\n", PONY_VERSION, PONY_BUILD_CONFIG);
+        printf("%s [%s] (llvm %s)\n", PONY_VERSION, PONY_BUILD_CONFIG,
+          LLVM_VERSION);
         return 0;
 
       case OPT_DEBUG: opt.release = false; break;
